'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var createElement = function createElement() {
  var _el = document.createElement('div');

  _el.style.whiteSpace = 'pre';
  return _el;
};

var useClipboard = function useClipboard() {
  var _el = createElement();

  var copyText = function copyText(text) {
    if (!text) return;
    var selection = window.getSelection();
    if (!selection) return;
    var range = document.createRange();
    _el.textContent = text;
    document.body.appendChild(_el);
    range.selectNode(_el);
    selection.removeAllRanges();
    selection.addRange(range);

    try {
      document.execCommand('Copy');
    } catch (error) {
      console.error('copy failed!');
    }

    selection.removeAllRanges();
    _el.textContent = '';
    document.body.removeChild(_el);
  };

  return {
    copyText: copyText
  };
};

exports.useClipboard = useClipboard;
