'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');

var useEventListener = function useEventListener(event, listener) {
  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  var _options$target = options.target,
      target = _options$target === void 0 ? window : _options$target;

  var add = function add() {
    var element = vue.unref(target);

    if (element) {
      element.addEventListener(event, listener);
    }
  };

  var remove = function remove() {
    var element = vue.unref(target);

    if (element) {
      element.removeEventListener(event, listener);
    }
  };

  vue.onBeforeUnmount(remove);
  vue.onDeactivated(remove);
  vue.onMounted(add);
};

exports.useEventListener = useEventListener;
