"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useProvider = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutProperties"));

var _vue = require("vue");

var _excluded = ["link", "unlink", "internalChildren"];

var useProvider = function useProvider(key) {
  var context = (0, _vue.inject)(key, null);

  if (context) {
    var instance = (0, _vue.getCurrentInstance)();
    var _link = context.link,
        _unlink = context.unlink,
        internalChildren = context.internalChildren,
        rest = (0, _objectWithoutProperties2["default"])(context, _excluded);

    _link(instance);

    (0, _vue.onUnmounted)(function () {
      return _unlink(instance);
    });
    var idx = (0, _vue.computed)(function () {
      return internalChildren.indexOf(instance);
    });
    return {
      context: rest,
      idx: idx.value
    };
  }

  return {
    context: null,
    idx: -1
  };
};

exports.useProvider = useProvider;