"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useEventListener = void 0;

var _vue = require("vue");

var useEventListener = function useEventListener(event, listener) {
  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  var _options$target = options.target,
      target = _options$target === void 0 ? window : _options$target;

  var add = function add() {
    var element = (0, _vue.unref)(target);

    if (element) {
      element.addEventListener(event, listener);
    }
  };

  var remove = function remove() {
    var element = (0, _vue.unref)(target);

    if (element) {
      element.removeEventListener(event, listener);
    }
  };

  (0, _vue.onBeforeUnmount)(remove);
  (0, _vue.onDeactivated)(remove);
  (0, _vue.onMounted)(add);
};

exports.useEventListener = useEventListener;